Keeping current with LiveUpdate

Symantec products depend on current information to protect your computer from newly discovered threats. Symantec makes this information available to you through LiveUpdate.

You must have Administrator access privileges to run LiveUpdate.

More Information

What gets updated

When you should update

Obtaining updates using LiveUpdate


What gets updated

Using your Internet connection, LiveUpdate obtains program and protection updates for your computer.

Program updates are minor improvements to your installed product. These differ from product upgrades, which are newer versions of entire products. Program updates are usually created to extend operating system or hardware compatibility, adjust a performance issue, or fix bugs. Program updates are released on an as-needed basis.

Some program updates may require that you restart your computer after you install them.

LiveUpdate automates the process of obtaining and installing program updates. It locates and obtains files from an Internet site, installs them, and then deletes the leftover files from your computer.

Protection updates are files that are available from Symantec that keep your Symantec products up-to-date with the latest anti-threat technology. The protection updates you receive depend on which product you are using.

Norton AntiVirus, Norton Virus Protection, Norton SystemWorks (if Norton AntiVirus included)

Users of these products receive virus and security risk protection updates, which provide access to the latest virus signatures and other technology from Symantec.

Norton Internet Security, Norton Online Protection

In addition to the virus and security risk protection updates, users of these products also receive protection updates for Web filtering, security protection, and spam protection.

The Web filtering protection updates provide the latest lists of Web site addresses and Web site categories that are used to identify inappropriate Web content.

The security protection updates provide the latest predefined firewall rules, updated lists of applications that access the Internet, and Intrusion Prevention signatures. These lists are used to identify unauthorized access attempts to your computer.

Spam protection updates provide the latest spam definitions and updated lists of spam email characteristics. These lists are used to identify unsolicited email.

Norton Personal Firewall, Norton Firewall Protection

Users of these products receive security protection updates for the latest predefined firewall rules, updated lists of applications that access the Internet, and Intrusion Prevention signatures.


When you should update

Run LiveUpdate as soon as you have installed your product. Some Symantec products run LiveUpdate automatically to keep your protection up to date. If you do not use Automatic LiveUpdate, you should run LiveUpdate once a week, or whenever new viruses are discovered.


Obtaining updates using LiveUpdate

LiveUpdate checks for updates to all of the Symantec products that are installed on your computer.

You must have Administrator access privileges to run LiveUpdate. If your Internet service provider does not automatically connect you to the Internet, connect to the Internet first, and then run LiveUpdate.

To obtain updates using LiveUpdate

  1. At the top of the main window, click LiveUpdate.

  2. In the LiveUpdate window, click Next to locate updates.

  3. If updates are available, click Next to download and install them.

  4. When the installation is complete, click Finish.